Skip to main content
GET
/
api
/
v1
/
companies
/
lookup
Lookup company in external registry
curl --request GET \
  --url https://app.sajn.se/api/v1/companies/lookup \
  --header 'authorization: <authorization>'
{
  "basic": {
    "name": "<string>",
    "orgNr": "<string>",
    "lastUpdated": "<string>",
    "status": "<string>"
  },
  "contact": {
    "phoneNumbers": [
      "<string>"
    ],
    "address": {
      "careOf": "<string>",
      "street": "<string>",
      "postalCode": "<string>",
      "city": "<string>"
    }
  },
  "legalInfo": {
    "orgNumber": "<string>",
    "companyName": "<string>",
    "companyForm": "<string>",
    "domicile": "<string>",
    "registration": {
      "companyFormed": "<string>",
      "companyRegistered": "<string>",
      "registrationDate": "<string>",
      "articlesOfAssociation": "<string>"
    }
  },
  "taxInfo": {
    "employer": "<string>",
    "fTax": "<string>",
    "vat": "<string>",
    "vatNumber": "<string>"
  },
  "business": {
    "sni": [
      "<string>"
    ],
    "activityDescription": "<string>",
    "companySignature": "<string>"
  },
  "responsiblePersons": {
    "executives": [
      {
        "name": "<string>",
        "role": "<string>",
        "personId": "<string>",
        "age": 123,
        "personUrl": "<string>"
      }
    ],
    "board": [
      {
        "name": "<string>",
        "role": "<string>",
        "personId": "<string>",
        "age": 123,
        "personUrl": "<string>"
      }
    ],
    "auditors": [
      {
        "name": "<string>",
        "role": "<string>",
        "personId": "<string>",
        "age": 123,
        "personUrl": "<string>"
      }
    ],
    "owners": [
      {
        "name": "<string>",
        "personId": "<string>",
        "age": 123,
        "role": "<string>",
        "personUrl": "<string>",
        "control": "<string>"
      }
    ]
  },
  "location": {
    "latitude": 123,
    "longitude": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sajn.se/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string
required

Bearer token for API authentication

Query Parameters

Response

Company details from external registry including signatories

Company details from external registry including signatories

basic
object
required
contact
object
required
taxInfo
object
required
business
object
required
responsiblePersons
object
required
location
object
required